APTK(1)

NAME
aptk - package managing daemon proving a D-Bus interface

SYNOPSIS
aptk [OPTIONS]

DESCRIPTION
aptk allows one to perform package management tasks, e.g. installing or removing software, using a D-Bus interface. The privileges are handled by PolicyKit so the client application doesn't need to run as root. Furthermore aptk is started by D-Bus activation only when an user calls a method.

OPTIONS

-d, --debug
    Show additional information on the command line.

-h, --help
    Show information about the usage of the command.

-r, --replace
    Replace another aptk instance if it is running.

-p PROFILE_FILE
    Write profiling data to PROFILE_FILE using Python's profiler. This is only of use to developers.

-t, --disable-timeout
    Do not shutdown the daemon after an idle time.

--dummy
    Instead of applying the changes to the system only show a progress. This option is only usable for developers to locate problems in client applications.

FILES

/etc/apt/apt.conf.d/20aptkit
    Adds a small post update hook which will emit the org.aptkit.CacheChanged signal on the system D-Bus to indicate that the cache has been changed and a possible running aptk instance should reloade its internal cache.

/usr/share/polkit-1/actions/org.aptkit.policy
    The PolicyKit definitions of the privileges used by aptkit, e.g. to install packages. To change the privileges please have a look at PolicyKit.conf(1).

/etc/dbus-1/system.d/org.aptkit.conf
    The D-Bus configuration of the org.aptkit name space.

DIAGNOSTICS
By default aptkit logs to the syslog facility AptKit. Furthermore you can use the -d option to get additional information on the command line.

SEE ALSO
aptkcon(1), org.aptkit(7), org.aptkit.transaction(7), PolicyKit.conf(7)